SuperLU: Data Fields

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - c -

- c__1 : mc64ad.c
- c__2 : mc64ad.c
- c_abs() : slu_scomplex.h , scomplex.c
- c_abs1() : scomplex.c , slu_scomplex.h
- c_add : slu_scomplex.h
- C_CALL : slu_Cnames.h
- c_div() : scomplex.c , slu_scomplex.h
- c_eq : slu_scomplex.h
- c_exp() : scomplex.c , slu_scomplex.h
- c_sgn() : scomplex.c , slu_scomplex.h
- c_sqrt() : scomplex.c , slu_scomplex.h
- c_sub : slu_scomplex.h
- callocateA() : cmemory.c , slu_cdefs.h
- caxpy_() : ilu_cdrop_row.c
- cc_conj : slu_scomplex.h
- cc_mult : slu_scomplex.h
- ccheck_tempv() : cpanel_bmod.c , cutil.c
- ccolumn_bmod() : ccolumn_bmod.c , slu_cdefs.h
- ccolumn_dfs() : ccolumn_dfs.c , slu_cdefs.h
- cCompRow_to_CompCol() : cutil.c , slu_cdefs.h
- ccopy_() : ilu_ccopy_to_ucol.c , ilu_cdrop_row.c
- cCopy_CompCol_Matrix() : cutil.c , slu_cdefs.h
- cCopy_Dense_Matrix() : cutil.c , slu_cdefs.h
- ccopy_to_ucol() : ccopy_to_ucol.c , slu_cdefs.h
- cCreate_CompCol_Matrix() : cutil.c , slu_cdefs.h
- cCreate_CompRow_Matrix() : cutil.c , slu_cdefs.h
- cCreate_Dense_Matrix() : cutil.c , slu_cdefs.h
- cCreate_SuperNode_Matrix() : cutil.c , slu_cdefs.h
- cdominate() : cdiagonal.c
- cdotc_() : cfgmr.c
- cDumpLine() : creadhb.c , creadrb.c
- cexpand() : cmemory.c
- cfgmr() : cfgmr.c
- cfill() : cutil.c , slu_cdefs.h
- cfill_diag() : cdiagonal.c
- cFillRHS() : cutil.c , slu_cdefs.h
- cGenXtrue() : cutil.c , slu_cdefs.h
- cgscon() : cgscon.c , slu_cdefs.h
- cgsequ() : slu_cdefs.h , cgsequ.c
- cgsisv() : slu_cdefs.h
- cgsisx() : cgsisx.c , slu_cdefs.h
- cgsitrf() : cgsitrf.c , slu_cdefs.h
- cgsrfs() : cgsrfs.c , slu_cdefs.h
- cgssv() : cgssv.c , slu_cdefs.h
- cgssvx() : cgssvx.c , slu_cdefs.h
- cgstrf() : cgstrf.c , slu_cdefs.h
- cgstrs() : cgstrs.c , slu_cdefs.h
- CHECK_MALLOC : slu_util.h
- check_perm() : sp_preorder.c
- check_repfnz() : slu_util.h , util.c
- check_tempv() : slu_cdefs.h , slu_ddefs.h , slu_sdefs.h , slu_zdefs.h
- cinf_norm_error() : cutil.c , slu_cdefs.h
- clacon_() : clacon.c
- clangs() : clangs.c
- claqgs() : claqgs.c , slu_cdefs.h
- cldperm() : cldperm.c , slu_cdefs.h
- clear_mark() : colamd.c
- clsolve() : ccolumn_bmod.c , cgstrs.c , cmyblas2.c , cpanel_bmod.c , csp_blas2.c
- cLUMemInit() : cmemory.c , slu_cdefs.h
- cLUMemXpand() : cmemory.c , slu_cdefs.h
- cLUWorkFree() : cmemory.c , slu_cdefs.h
- cLUWorkInit() : cmemory.c
- cmatvec() : ccolumn_bmod.c , cgstrs.c , cmyblas2.c , cpanel_bmod.c , csp_blas2.c
- cmatvec_mult() : citersol.c , citersol1.c
- cmemory_usage() : cmemory.c , slu_cdefs.h
- COL : superlu_enum_consts.h
- COL_IS_ALIVE : colamd.c
- COL_IS_DEAD : colamd.c
- COL_IS_DEAD_PRINCIPAL : colamd.c
- colamd() : colamd.h , colamd.c
- COLAMD : superlu_enum_consts.h
- COLAMD_C : colamd.h
- Colamd_Col : colamd.h
- COLAMD_DEFRAG_COUNT : colamd.h
- COLAMD_DENSE_COL : colamd.h
- COLAMD_DENSE_ROW : colamd.h
- COLAMD_ERROR_A_not_present : colamd.h
- COLAMD_ERROR_A_too_small : colamd.h
- COLAMD_ERROR_col_length_negative : colamd.h
- COLAMD_ERROR_internal_error : colamd.h
- COLAMD_ERROR_ncol_negative : colamd.h
- COLAMD_ERROR_nnz_negative : colamd.h
- COLAMD_ERROR_nrow_negative : colamd.h
- COLAMD_ERROR_out_of_memory : colamd.h
- COLAMD_ERROR_p0_nonzero : colamd.h
- COLAMD_ERROR_p_not_present : colamd.h
- COLAMD_ERROR_row_index_out_of_bounds : colamd.h
- COLAMD_INFO1 : colamd.h
- COLAMD_INFO2 : colamd.h
- COLAMD_INFO3 : colamd.h
- COLAMD_KNOBS : colamd.h
- COLAMD_OK : colamd.h
- COLAMD_OK_BUT_JUMBLED : colamd.h
- COLAMD_R : colamd.h
- colamd_recommended() : colamd.c , colamd.h
- COLAMD_RECOMMENDED : colamd.h
- colamd_report() : colamd.h , colamd.c
- Colamd_Row : colamd.h
- colamd_set_defaults() : colamd.c , colamd.h
- COLAMD_STATS : colamd.h
- COLAMD_STATUS : colamd.h
- COLPERM : superlu_enum_consts.h
- colperm_t : superlu_enum_consts.h
- COMM : superlu_enum_consts.h
- complexCalloc() : cmemory.c , slu_cdefs.h
- complexMalloc() : cmemory.c , slu_cdefs.h
- CONJ : superlu_enum_consts.h
- copy_mem_complex() : cmemory.c
- copy_mem_double() : dmemory.c
- copy_mem_doublecomplex() : zmemory.c
- copy_mem_float() : smemory.c
- copy_mem_int() : dmemory.c , cmemory.c , memory.c , smemory.c , zmemory.c
- countnz() : slu_zdefs.h , slu_ddefs.h , slu_sdefs.h , slu_cdefs.h , util.c
- cpanel_bmod() : cpanel_bmod.c , slu_cdefs.h
- cpanel_dfs() : cpanel_dfs.c , slu_cdefs.h
- cParseFloatFormat() : creadhb.c , creadrb.c
- cParseIntFormat() : creadhb.c , creadrb.c
- cPivotGrowth() : cpivotgrowth.c , slu_cdefs.h
- cpivotL() : cpivotL.c , slu_cdefs.h
- cPrint_CompCol_Matrix() : slu_cdefs.h , cutil.c
- cPrint_Dense_Matrix() : cutil.c , slu_cdefs.h
- cprint_lu_col() : cutil.c , slu_cdefs.h
- cprint_soln() : cgstrs.c
- cPrint_SuperNode_Matrix() : cutil.c , slu_cdefs.h
- cPrintPerf() : cutil.c
- cpruneL() : slu_cdefs.h , cpruneL.c
- cpsolve() : citersol.c , citersol1.c
- cQuerySpace() : cmemory.c , slu_cdefs.h
- creadhb() : creadhb.c , slu_cdefs.h
- creadmt() : slu_cdefs.h
- creadrb() : slu_cdefs.h , creadrb.c
- creadrhs() : creadtriple.c
- creadtriple() : creadtriple.c , slu_cdefs.h
- cReadValues() : creadhb.c , creadrb.c
- cs_mult : slu_scomplex.h
- cSetRWork() : slu_cdefs.h , cmemory.c
- cSetupSpace() : cmemory.c
- csnode_bmod() : slu_cdefs.h , csnode_bmod.c
- csnode_dfs() : csnode_dfs.c , slu_cdefs.h
- cStackCompress() : cmemory.c
- cswap_() : ilu_cdrop_row.c
- cuser_free() : cmemory.c
- cuser_malloc() : cmemory.c
- cusolve() : ccolumn_bmod.c , cgstrs.c , csp_blas2.c , cmyblas2.c
- CX : scsum1.c , izmax1.c , dzsum1.c , icmax1.c